org.eclnt.workplace

## Interface IWorkpageLifecycleListener

- All Superinterfaces:
    java.io.Serializable
  All Known Implementing Classes:
    WorkpageDefaultLifecycleListener

      public interface IWorkpageLifecycleListener
      extends java.io.Serializable

  This interface sends events from the workplace management to interested listeners. This interface is likely to be updated in futures releases - new methods will be added. We recommend to sub-class your listeners from WorkpageDefaultLifecycleListener, that provides an empty implementation of all methods.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `close()` This method is called from the workpage container when the user requests the closing of the page.
    `void` | `closeForced()` This method forces the workplage to close - there is no chance to escape...
    `java.lang.Runnable` | `getCloseContinueOperation()` The workpage container may close pages either individually or within a bigger context (e.g. when closing all pages).
    `boolean` | `reactOnBeforeHiddenInContentArea()` Called before the page is hidden in the content are (e.g.
    `void` | `reactOnDestroyed()` This method is called when the workpage is closed and resources are freed.
    `void` | `reactOnHiddenInContentArea()` The page is hidden in the content area of the workplace.
    `void` | `reactOnReselectedInContentArea()` The page already was shown in content area, but the user re-selected the page (e.g. by pressing a second time onto the workpage-selector.
    `void` | `reactOnShownInContentArea()` The page is (re)shown in the content area of the workplace.
    `void` | `reactOnShownInPopup()` The page is (re)shown in a modeless popup.
    `void` | `setCloseContinueOperation(java.lang.Runnable closeContinueOperation)` Internal use only!

- - ### Method Detail

    - #### close

          boolean close()

      This method is called from the workpage container when the user requests the closing of the page.
      Returns:
        true => workplace will close page; false => workplace will not close the page.

    - #### getCloseContinueOperation

          java.lang.Runnable getCloseContinueOperation()

      The workpage container may close pages either individually or within a bigger context (e.g. when closing all pages). In case of closing pages in a "bigger context" then there is a continue-operation which needs to be called by these listeners that interrupt the close processing (i.e. these ones that return "false" as result of reacting on `close()`.

    - #### setCloseContinueOperation

          void setCloseContinueOperation(java.lang.Runnable closeContinueOperation)

      Internal use only! Do not call from application logic!

    - #### closeForced

          void closeForced()

      This method forces the workplage to close - there is no chance to escape...

    - #### reactOnDestroyed

          void reactOnDestroyed()

      This method is called when the workpage is closed and resources are freed.

    - #### reactOnShownInContentArea

          void reactOnShownInContentArea()

      The page is (re)shown in the content area of the workplace.

    - #### reactOnHiddenInContentArea

          void reactOnHiddenInContentArea()

      The page is hidden in the content area of the workplace.

    - #### reactOnReselectedInContentArea

          void reactOnReselectedInContentArea()

      The page already was shown in content area, but the user re-selected the page (e.g. by pressing a second time onto the workpage-selector.

    - #### reactOnBeforeHiddenInContentArea

          boolean reactOnBeforeHiddenInContentArea()

      Called before the page is hidden in the content are (e.g. due to selector operations performed by the user).
      Returns:
        true => yes, perform hiding
        false => block hiding

    - #### reactOnShownInPopup

          void reactOnShownInPopup()

      The page is (re)shown in a modeless popup.

Copyright © CaptainCasa Gmbh. All Rights Reserved.